## Class InputReader

    java.lang.Object
      InputReader

    public class InputReader

extends Object

Write a description of class InputReader here.

Version:
  (a version number or a date)
Author:
  Jakub Klejch

Constructor Summary
`InputReader()` Constructor for objects of class InputReader

Method Summary
`Subspace` `getGeneralSubspace(String in)`
`Subspace` `getMatrixSubspace(String in)`
`Subspace` `getParametricSubspace(String in)`
`Subspace` `getSubspace(String input)`
`Subspace` `getVecPointSubspace(String in)`
`Fraction` `stringToFraction(String in)`

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputReader

    public InputReader()

  Constructor for objects of class InputReader

Method Detail

### getGeneralSubspace

    public Subspace getGeneralSubspace(String in)

### getMatrixSubspace

    public Subspace getMatrixSubspace(String in)

### getParametricSubspace

    public Subspace getParametricSubspace(String in)

### getSubspace

    public Subspace getSubspace(String input)

### getVecPointSubspace

    public Subspace getVecPointSubspace(String in)

### stringToFraction

    public Fraction stringToFraction(String in)